#ifndef _KERNEL_IPX_H
#define _KERNEL_IPX_H

#include <ncp/ext/socket.h>
/* <asm/types> not required */
#include <netipx/ipx.h>

/* FIXME: Following #if 1 is there due to buggy glibc2.0.7 available from 
   RedHat which defines SIOCAIPXITFCRT as SIOCPROTOPRIVATE, but does not 
   define SIOCPROTOPRIVATE... I hope that it will be fixed before "real" 
   glibc-2.0.7. */
#if 1
#undef SIOCIPXBASE
#undef SIOCAIPXITFCRT
#undef SIOCAIPXPRISLT
#undef SIOCIPXCFGDATA
#define SIOCIPXBASE	0x89E0
#define SIOCAIPXITFCRT	(SIOCIPXBASE)
#define SIOCAIPXPRISLT	(SIOCIPXBASE+1)
#define SIOCIPXCFGDATA	(SIOCIPXBASE+2)
#endif

#ifndef IPXPROTO_IPX
#define	IPXPROTO_IPX	(PF_IPX)
#endif

#endif
